using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 响应级别
    /// </summary>
    public enum AERspLevel
    {
        /// <summary>
        /// 一级 1
        /// </summary>
        [Description("一级")]
        Level1 = 1,

        /// <summary>
        /// 二级 2
        /// </summary>
        [Description("二级")]
        Level2 = 2,

        /// <summary>
        /// 三级 3
        /// </summary>
        [Description("三级")]
        Level3 = 3,
    }

    /// <summary>
    /// 事故等级
    /// </summary>
    public enum AEAccidentLevel
    {
        /// <summary>
        /// 特大 1
        /// </summary>
        [Description("特大")]
        Jumbo = 1,

        /// <summary>
        /// 重大 2
        /// </summary>
        [Description("重大")]
        Major = 2,

        /// <summary>
        /// 较大 3
        /// </summary>
        [Description("较大")]
        Larger = 3,

        /// <summary>
        /// 一般 4
        /// </summary>
        [Description("一般")]
        General = 4,

        /// <summary>
        /// 重伤 5
        /// </summary>
        [Description("重伤")]
        SeriouslyInjured = 5,

        /// <summary>
        /// 轻伤 6
        /// </summary>
        [Description("轻伤")]
        MinorJuries = 6,

        /// <summary>
        /// 微伤 7
        /// </summary>
        [Description("微伤")]
        Aminor = 7,

        /// <summary>
        /// 险肇 8
        /// </summary>
        [Description("险肇")]
        Risk = 8,

    }
    /// <summary>
    /// 原因方式
    /// </summary>
    public enum AEReasonModel
    {
        /// <summary>
        /// 直接原因 0
        /// </summary>
        [Description("直接原因")]
        DirectReason = 0,
        /// <summary>
        /// 间接原因 1
        /// </summary>
        [Description("间接原因")]
        IndirectReason = 1,
    }
    /// <summary>
    /// 证据来源
    /// </summary>
    public enum AEEvidenceSource
    {
        /// <summary>
        /// 事故调查会议纪要 0
        /// </summary>
        [Description("事故调查会议纪要")]
        MeetingMinutes = 0,

        /// <summary>
        /// 事故现场勘察资料 1
        /// </summary>
        [Description("事故现场勘察资料")]
        EventInvestigateFile = 1,

        /// <summary>
        /// 事故技术鉴定资料 2
        /// </summary>
        [Description("事故技术鉴定资料")]
        TechnicalAppraisement = 2,

        /// <summary>
        /// 人员沟通笔录 3
        /// </summary>
        [Description("人员沟通笔录")]
        CommunicateRecord = 3,

        /// <summary>
        /// 人员伤亡证明 4
        /// </summary>
        [Description("人员伤亡证明")]
        CasualtiesProve = 4,

    }
    /// <summary>
    /// 勘察人员
    /// </summary>
    public enum AEInvestigationUserStatusEnum
    {
        未审阅 = 0,
        已审阅 = 1,
    }

    /// 原因种类
    /// </summary>
    public enum AEReasonCategory
    {
        /// <summary>
        /// 人 0
        /// </summary>
        [Description("人")]
        Person = 0,

        /// <summary>
        /// 机 1
        /// </summary>
        [Description("机")]
        Machine = 1,

        /// <summary>
        /// 环 2
        /// </summary>
        [Description("环")]
        Environment = 2,

        /// <summary>
        /// 管 3
        /// </summary>
        [Description("管")]
        Management = 3,

        /// <summary>
        /// 材料 4
        /// </summary>
        [Description("材料")]
        Material = 4,
    }
    /// <summary>
    /// 事件类型
    /// </summary>
    public enum EventType
    {
        /// <summary>
        /// 工伤保险理赔 5
        /// </summary>
        [Description("工伤保险理赔")]
        ClaimRecord = 5,

        /// <summary>
        /// 重伤及以上事故事件调查小组成员 AE006ToAE008 10
        /// </summary>
        [Description("重伤及以上事故事件调查小组成员")]
        AE006ToAE008 = 10,
    }
}
